classification
Title: A typo in /Modules/_io/bufferedio.c
Type: behavior Stage: resolved
Components: IO Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: malin, serhiy.storchaka, vstinner
Priority: normal Keywords:

Created on 2021-02-23 14:05 by malin, last changed 2021-02-27 04:58 by malin. This issue is now closed.

Messages (3)
msg387570 - (view) Author: Ma Lin (malin) * Date: 2021-02-23 14:05
654    PyErr_Fetch(&t, &v, &tb);
655    if (v == NULL || !PyErr_GivenExceptionMatches(v, PyExc_BlockingIOError)) {
                                                     ↑  this should be t
https://github.com/python/cpython/blob/v3.10.0a5/Modules/_io/bufferedio.c#L654-L655

Does this need a test case?
msg387764 - (view) Author: Ma Lin (malin) * Date: 2021-02-27 03:44
I am trying to write a test-case.
msg387766 - (view) Author: Ma Lin (malin) * Date: 2021-02-27 04:58
Close as invalid.

They the same effect:

    PyErr_GivenExceptionMatches(v, PyExc_BlockingIOError))
    PyErr_GivenExceptionMatches(t, PyExc_BlockingIOError))
History
Date User Action Args
2021-02-27 04:58:18malinsetstatus: open -> closed
resolution: wont fix
messages: + msg387766

stage: resolved
2021-02-27 03:44:43malinsetmessages: + msg387764
2021-02-24 15:31:16corona10setnosy: + vstinner, serhiy.storchaka
2021-02-23 14:05:58malincreate